Bug 24104 - Item search - dropdown buttons overflow
Summary: Item search - dropdown buttons overflow
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-25 15:47 UTC by Jonathan Druart
Modified: 2020-01-16 01:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07, 18.11.13


Attachments
Bug 24104: Item search - Prevent "Edit" dropdown button to overflow (2.10 KB, patch)
2019-11-25 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24104: Item search - Prevent "Edit" dropdown button to overflow (2.16 KB, patch)
2020-01-03 07:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-11-25 15:47:26 UTC
The "Edit" dropdown buttons of the item results create an overflow when clicked.
The 2 options "Edit record" and "Edit items" contained in a dropdown menu will be displayed out of screen and the horizontal scrolbar will be shown.
Comment 1 Jonathan Druart 2019-11-25 15:48:09 UTC
https://snipboard.io/ekSxZr.jpg
Comment 2 Jonathan Druart 2019-11-25 15:49:34 UTC
Created attachment 95797 [details] [review]
Bug 24104: Item search - Prevent "Edit" dropdown button to overflow

Making it displays on the left fixes the problem.
Comment 3 Katrin Fischer 2020-01-03 07:17:37 UTC
Created attachment 96788 [details] [review]
Bug 24104: Item search - Prevent "Edit" dropdown button to overflow

Making it displays on the left fixes the problem.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-01-03 07:17:48 UTC
Nice fix!
Comment 5 Martin Renvoize 2020-01-08 14:22:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-14 01:16:34 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 7 Lucas Gass 2020-01-15 23:14:22 UTC
backported to 19.05.x for 19.05.07
Comment 8 Hayley Mapley 2020-01-16 01:23:25 UTC
Backported to 18.11.x for 18.11.13